> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-cancel-subscription-buttons.md).

# Component: Cancel Subscription Buttons

**Purpose:** Use these buttons to process a cancellation on the subscription in the self-service portal.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-hbwumtssfk.chromatic.com/?path=/story/shop-components-cancellation-cancel-subscription-buttons--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

| **id**                  | **label**                                                     | **type** | **default**                                                                          | **Purpose**                                                                                                                                    |
| ----------------------- | ------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| cancelSubButtonLabel    | Cancellation Button Label                                     | string   | Cancel Now                                                                           | Message visible to customer                                                                                                                    |
| hideCancelButton        | Hide Cancel Subscription Button?                              | boolean  | FALSE                                                                                | Hide the cancel button                                                                                                                         |
| confirmCancelHeading    | Confirm cancel modal heading                                  | string   | Are you sure you want to cancel?                                                     | Message visible to customer in the dialog                                                                                                      |
| confirmCancelSubheading | Confirm cancel modal subheading                               | string   | Your subscription will lapse at the end of your term and you will lose all benefits. | Message visible to customer in the dialog                                                                                                      |
| confirmationOk          | Confirm cancel modal process cancel button label              | string   | I want to cancel                                                                     | Message visible to customer in the dialog                                                                                                      |
| confirmationCancel      | Confirm cancel modal go back button label                     | string   | Go back                                                                              | Message visible to customer in the dialog                                                                                                      |
| processCancelSub        | Cancel Subscription On This Page or Redirect For Confirmation | picklist | Process On This Page via confirmation modal                                          | Options on cancellation date: immediately or end of term. If the subscription is renew to evergreen, "end of term" will the next billing date. |
| cancellationDate        | Effective date of cancelleation                               | picklist | End of Term                                                                          | Options on processing the cancellation: with modal or without modal                                                                            |
| cancelRedirectUrl       | Redirect to Url on cancel confirmation                        | string   | /cancel-confirm                                                                      | The link where the customer will be redirected if they do cancel                                                                               |
| additionalCancelButtons | Additional Buttons                                            | list     |                                                                                      | Fields: label, url                                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.limio.com/components/component-library/standard-components/component-cancel-subscription-buttons.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
